Package org.springframework.util

# Interface AutoPopulatingList.ElementFactory<E>

Type Parameters:
  `E` - the element type

Enclosing class:
  AutoPopulatingList<E>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface AutoPopulatingList.ElementFactory<E>
Factory interface for creating elements for an index-based access data structure such as a `List`.

## Method Summary

Modifier and Type
Method
Description
`E`
`createElement(int index)`
Create the element for the supplied index.

## Method Details

### createElement

E createElement(int index) throws AutoPopulatingList.ElementInstantiationException
Create the element for the supplied index.

Returns:
  the element object
Throws:
  `AutoPopulatingList.ElementInstantiationException` - if the instantiation process failed (any exception thrown by a target constructor should be propagated as-is)